Draft Arc/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(14 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav|[[Draft_Circle|Circle]]|[[Draft_Ellipse|Ellipse]]|[[Draft_Module|Draft]]|IconL=Draft_Circle.svg |IconC=Workbench_Draft.svg|IconR=Draft_Ellipse.svg }}
{{Docnav
|[[Draft_Fillet|Fillet]]
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Fillet.svg
|IconR=Draft_Arc_3Points.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/es
{{GuiCommand/es|Name=Draft Arc|Name/es=Draft Arc|Workbenches=[[Draft Module/es|Croquis]], [[Arch Module/es|Arquitectura]]|MenuLocation=Croquis → Arco|Shortcut=A R|SeeAlso=[[Draft Circle/es|Circunferencia]]}}
|Name=Draft Arc
|Name/es=Draft Arc
|MenuLocation=Croquis → Arco
|Workbenches=[[Draft_Workbench/es|Croquis]], [[Arch_Workbench/es|Arquitectura]]
|Shortcut=A R
|SeeAlso=[[Draft Circle/es|Circunferencia]]
}}
</div>
</div>


<span id="Description"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Descripción==
==Descripción==
Line 12: Line 28:
</div>
</div>


The [[Image:Draft_Arc.svg|24px]] '''Draft Arc''' command creates a circular arc on the current [[Draft_SelectPlane|working plane]] from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.
This tool works the same way as the [[Draft Circle]] tool, but adds start and end angles. To draw an elliptical arc use [[Draft Ellipse]]. You can also approximate a circular arc using the [[Draft BSpline]] and [[Draft BezCurve]] tools.


A Draft Arc is in fact a [[Draft_Circle|Draft Circle]] with a {{PropertyData|First Angle}} that is not the same as its {{PropertyData|Last Angle}}.
[[Image:Draft_Arc_example.jpg|400px]]

[[Image:Draft_Arc_example.jpg|400px]]
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
[[Image:Draft_Arc_example.jpg|400px]]
[[Image:Draft_Arc_example.jpg|400px]]
</div>
</div>

==Usage==

See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 23: Line 45:


# Presiona el botón {{KEY|[[Image:Draft Arc.png|16px]] [[Draft Arc/es|Arco]]}}, o presiona las teclas {{KEY|A}} y {{KEY|R}}
# Presiona el botón {{KEY|[[Image:Draft Arc.png|16px]] [[Draft Arc/es|Arco]]}}, o presiona las teclas {{KEY|A}} y {{KEY|R}}
# Indica un primer punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
# Indica un primer punto en la vista 3D, o escribe unas coordenadas
# Indica un segundo punto en la vista 3D, o introduce el valor del radio
# Indica un segundo punto en la vista 3D, o introduce el valor del radio
# Indica un tercer punto en la vista 3D, o introduce un ángulo de inicio
# Indica un tercer punto en la vista 3D, o introduce un ángulo de inicio
Line 29: Line 51:
</div>
</div>


==Options==
The arc can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit]]}} button. Then you can move the center point to a new position.


The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).
The arc can be turned into a circle after creation, by setting its first angle and last angle properties to the same value.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 46: Line 68:
* El arco se puede convertir en una circunferencia después de crearse, definiendo el mismo valor para las propiedades de sus ángulos de inicio y fin.
* El arco se puede convertir en una circunferencia después de crearse, definiendo el mismo valor para las propiedades de sus ángulos de inicio y fin.
</div>
</div>

==Notes==

* A Draft Arc can be edited with the [[Draft_Edit|Draft Edit]] command.

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* If the {{MenuCommand|Edit → Preferences... → Draft → General → Create Part primitives if possible}} option is checked, the command will create a [[Part_Circle|Part Circle]] instead of a Draft Circle.

==Properties==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 55: Line 89:
</div>
</div>


===Data===
==Scripting==
* {{PropertyData|First Angle}}: specifies the angle of the first point of the arc.
* {{PropertyData|Last Angle}}: specifies the angle of the last point of the arc.
* {{PropertyData|Radius}}: specifies the radius of the arc.
* {{PropertyData|Make Face}}: specifies if the arc makes a face or not. This property only works if the shape is a full circle.
:To make an arc a full circle set the {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} to the same value. The values 0&#176; and 360&#176; aren't considered the same, so if these two values are used, the circle will not form a face.

===View===
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the arc. This property only works if the arc is a full circle, and if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 72: Line 97:
</div>
</div>


To create a Draft Arc use the {{incode|make_circle}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeCircle}} method.
The Arc tool can be used in [[macros]] and from the [[Python]] console by using the same function to create circles, with additional arguments.
See the information in [[Draft Circle]].


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD as App
import Draft
import Draft


doc = App.newDocument()
Arc1 = Draft.makeCircle(200, startangle=0, endangle=90)

Arc2 = Draft.makeCircle(500, startangle=20, endangle=160)
Arc3 = Draft.makeCircle(750, startangle=-30, endangle=-150)
arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()
}}
}}


{{Docnav|[[Draft_Circle|Circle]]|[[Draft_Ellipse|Ellipse]]|[[Draft_Module|Draft]]|IconL=Draft_Circle.svg |IconC=Workbench_Draft.svg|IconR=Draft_Ellipse.svg }}


{{Docnav
{{Draft Tools navi}}
|[[Draft_Fillet|Fillet]]
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Fillet.svg
|IconR=Draft_Arc_3Points.svg
|IconC=Workbench_Draft.svg
}}


{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 10:03, 30 January 2024

Draft Arc

Ubicación en el Menú
Croquis → Arco
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
A R
Introducido en versión
-
Ver también
Circunferencia

Descripción

La herramienta arco crea un arco en el plano de trabajo actual introduciendo cuatro puntos, el centro, el radio, el primer punto y el último punto, o seleccionando tangencias, o cualquier combinación de ellas. Toma el espesor de línea y color previamente definidos en la pestaña de tareas. Esta herramienta funciona del mismo modo que la herramienta circunferencia, pero añade los ángulos inicial y final.

The Draft Arc command creates a circular arc on the current working plane from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.

A Draft Arc is in fact a Draft Circle with a DatosFirst Angle that is not the same as its DatosLast Angle.

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Utilización

  1. Presiona el botón Arco, o presiona las teclas A y R
  2. Indica un primer punto en la vista 3D, o escribe unas coordenadas
  3. Indica un segundo punto en la vista 3D, o introduce el valor del radio
  4. Indica un tercer punto en la vista 3D, o introduce un ángulo de inicio
  5. Indica un cuarto punto en la vista 3D, o introduce un ángulo final

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

Opciones

  • El principal uso de la herramienta arco es designando 4 puntos: el centro, un punto de la circunferencia, definiendo el radio, un tercer punto definiendo el ángulo de inicio del arco, y un cuarto punto definiendo su final.
  • Presionando ALT, puedes seleccionar una tangente en lugar de designar un punto, para definir la circunferencia base del arco. Puedes por tanto construir diversos tipos de circunferencias seleccionando una, dos o tres tangencias.
  • La dirección del arco depende del movimiento que hagas con el ratón. Si empiezas a moverlo en sentido de las agujas del reloj después de indicar el tercer punto, tu arco irá en sentido de las agujas del reloj. Para ir al contrario de las agujas del reloj, simplemente mueve el ratón sobre el tercer punto indicado, hasta que el arco se dibuje hacia el otro sentido.
  • Para introducir las coordenadas manualmente, simplemente introduce los números, presiona ENTER entre cada componente X, Y y Z.
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continue. Si el modo continuo está activado, la herramienta arco se reiniciará después de indicar el cuarto punto, permitiendo que dibujes otro arco sin necesidad de presionar el botón de arco de nuevo.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu punto horizontal o verticalmente en relación con el centro.
  • Presiona ESC o el botón Cancelar para abortar la línea de comando actual.
  • El arco se puede convertir en una circunferencia después de crearse, definiendo el mismo valor para las propiedades de sus ángulos de inicio y fin.

Notes

  • A Draft Arc can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

Propiedades

  • DatosRadius: El radio del arco
  • DatosFirst Angle: El ángulo del primer punto del arco
  • DatosLast Angle: El ángulo del último punto del arco

Scripting

Archivos de guión

La herramienta circunferencia también se puede utilizar para crear arco en macros y desde la consola de Python utilizando la siguiente instrucción, con los argumentos adicionales dados:

To create a Draft Arc use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()